Bug 251240 - devel/py-colorama: Update to 0.4.4
Summary: devel/py-colorama: Update to 0.4.4
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guangyuan Yang
URL:
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-11-18 15:51 UTC by Guangyuan Yang
Modified: 2020-11-24 06:43 UTC (History)
3 users (show)

See Also:
ygy: maintainer-feedback+


Attachments
Proposed patch (871 bytes, patch)
2020-11-18 15:51 UTC, Guangyuan Yang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guangyuan Yang freebsd_committer 2020-11-18 15:51:48 UTC
Created attachment 219794 [details]
Proposed patch
Comment 1 Guangyuan Yang freebsd_committer 2020-11-18 15:53:28 UTC
Build is ok: https://cirrus-ci.com/task/5175511104094208

Need approval from a ports committer ;)
Comment 2 Li-Wen Hsu freebsd_committer 2020-11-18 15:54:57 UTC
Approved by: lwhsu (ports)
Comment 3 commit-hook freebsd_committer 2020-11-20 08:13:45 UTC
A commit references this bug:

Author: ygy
Date: Fri Nov 20 08:13:15 UTC 2020
New revision: 555749
URL: https://svnweb.freebsd.org/changeset/ports/555749

Log:
  devel/py-colorama: Update to 0.4.4

  PR:		251240
  Approved by:	lwhsu

Changes:
  head/devel/py-colorama/Makefile
  head/devel/py-colorama/distinfo
Comment 4 Dani 2020-11-23 09:15:45 UTC
Hi there.

The Update breaks the build with python36:

===>   Returning to build of py36-colorama-0.4.4
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py36-colorama-0.4.4
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 36, in <module>
    long_description=read_file('README.rst'),
  File "setup.py", line 19, in read_file
    return fp.read()
  File "/usr/local/lib/python3.6/encodings/ascii.py", line 26, in decode
    return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 852: ordinal not in range(128)
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/py-colorama
=>> Cleaning up wrkdir
===>  Cleaning for py36-colorama-0.4.4
build of devel/py-colorama@py36 | py36-colorama-0.4.4 ended at Mon Nov 23 01:04:02 CET 2020
build time: 00:00:03
!!! build failure encountered !!!
Comment 5 Guangyuan Yang freebsd_committer 2020-11-23 14:57:57 UTC
(In reply to Dani from comment #4)

This is due to an upstream (encoding) bug in the setup.py. I will wait for the quick PR to be merged upstream, and in the meantime keep this PR open.
Comment 6 Guangyuan Yang freebsd_committer 2020-11-23 14:58:20 UTC
(In reply to Dani from comment #4)

^ forgot the link:

https://github.com/tartley/colorama/issues/291